Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDirectionEncoder Class Reference

`#include <vtkDirectionEncoder.h>`

Inheritance diagram for vtkDirectionEncoder:

[legend]
Collaboration diagram for vtkDirectionEncoder:

[legend]
List of all members.

## Detailed Description

encode a direction into a one or two byte value

Date:
  2002/08/22 18:39:30

Revision:
  1.17

Given a direction, encode it into an integer value. This value should be less than 65536, which is the maximum number of encoded directions supported by this superclass. A direction encoded is used to encode normals in a volume for use during volume rendering, and the amount of space that is allocated per normal is 2 bytes. This is an abstract superclass - see the subclasses for specific implementation details.

See also:
  vtkRecursiveSphereDirectionEncoder

Created by:
  - Avila, Lisa
  - King, Brad

CVS contributions (if > 5%):
  - Avila, Lisa (65%)
  - King, Brad (19%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkDirectionEncoder.cxx)`
  - .`h` (`/Rendering/vtkDirectionEncoder.h)`

Definition at line 54 of file vtkDirectionEncoder.h.

## [NOHEADER]
typedef vtkObject | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
int | IsTypeOf (const char *type)
vtkDirectionEncoder * | SafeDownCast (vtkObject *o)
## Public Methods
virtual int | GetEncodedDirection (float n[3])=0
virtual float * | GetDecodedGradient (int value)=0
virtual int | GetNumberOfEncodedDirections (void)=0
virtual float * | GetDecodedGradientTable (void)=0
## Protected Methods
| vtkDirectionEncoder ()
| ~vtkDirectionEncoder ()

## Member Typedef Documentation

typedef vtkObject vtkDirectionEncoder::Superclass

| Get the name of this class Reimplemented from vtkObject. Reimplemented in vtkRecursiveSphereDirectionEncoder. Definition at line 59 of file vtkDirectionEncoder.h.

## Constructor & Destructor Documentation

vtkDirectionEncoder::vtkDirectionEncoder | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkDirectionEncoder.h.

vtkDirectionEncoder::~vtkDirectionEncoder | ( |  | ) | `[inline, protected]`

| Definition at line 80 of file vtkDirectionEncoder.h.

## Member Function Documentation

virtual const char* vtkDirectionEncoder::GetClassName | ( |  | ) | `[virtual]`

| Get the name of this class Reimplemented from vtkObject. Reimplemented in vtkRecursiveSphereDirectionEncoder.

int vtkDirectionEncoder::IsTypeOf | ( | const char * | type | ) | `[static]`

| Get the name of this class Reimplemented from vtkObject. Reimplemented in vtkRecursiveSphereDirectionEncoder.

virtual int vtkDirectionEncoder::IsA | ( | const char * | type | ) | `[virtual]`

| Get the name of this class Reimplemented from vtkObject. Reimplemented in vtkRecursiveSphereDirectionEncoder.

vtkDirectionEncoder* vtkDirectionEncoder::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Get the name of this class Reimplemented from vtkObject. Reimplemented in vtkRecursiveSphereDirectionEncoder.

virtual void vtkDirectionEncoder::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Get the name of this class Reimplemented from vtkObject. Reimplemented in vtkRecursiveSphereDirectionEncoder.

virtual int vtkDirectionEncoder::GetEncodedDirection | ( | float | n[3] | ) | `[pure virtual]`

| Given a normal vector n, return the encoded direction Implemented in vtkRecursiveSphereDirectionEncoder.

virtual float* vtkDirectionEncoder::GetDecodedGradient | ( | int | value | ) | `[pure virtual]`

| / Given an encoded value, return a pointer to the normal vector Implemented in vtkRecursiveSphereDirectionEncoder.

virtual int vtkDirectionEncoder::GetNumberOfEncodedDirections | ( | void |  | ) | `[pure virtual]`

| Return the number of encoded directions Implemented in vtkRecursiveSphereDirectionEncoder.

virtual float* vtkDirectionEncoder::GetDecodedGradientTable | ( | void |  | ) | `[pure virtual]`

| Get the decoded gradient table. There are this->GetNumberOfEncodedDirections() entries in the table, each containing a normal (direction) vector. This is a flat structure - 3 times the number of directions floats in an array. Implemented in vtkRecursiveSphereDirectionEncoder.

The documentation for this class was generated from the following file:

- Rendering/vtkDirectionEncoder.h